API Reference
Brand, Domains, and Reviews API
Developer-authenticated Brand Manager, custom domain, DNS workflow, and review moderation endpoints.
SoundSync
Verified endpoints
These endpoints are route-backed in the current platform.
/api/developer/branding
Fetch Brand Manager payload.
- Auth
- Account Bearer JWT
- Scope
- Authenticated developer workspace; the route permission and assigned-product scope are enforced server-side.
- Returns
- branding, publicBranding, storefrontDomain, emailDomains, linkValidation, domainDocs.
- Side effects
- Retrieves the authorized resource; any preparation or event recording is described in the operation notes.
Request, response and error reference
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"branding": {
"type": "object",
"properties": {
"storeName": {
"type": "string"
},
"developerDisplayName": {
"type": "string"
},
"tagline": {
"type": "string"
},
"slug": {
"type": "string"
},
"shortDescription": {
"type": "string"
},
"marketplaceBio": {
"type": "string"
},
"logos": {
"type": "object",
"properties": {
"logoUrl": {
"type": "string"
},
"lightLogoUrl": {
"type": "string"
},
"darkLogoUrl": {
"type": "string"
},
"iconUrl": {
"type": "string"
},
"defaultProductImageUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"colors": {
"type": "object",
"properties": {
"appearance": {
"type": "string",
"enum": [
"light",
"dark",
"system"
]
},
"backgroundColor": {
"type": "string"
},
"brandHighlightColor": {
"type": "string"
},
"accentColor": {
"type": "string"
},
"advancedOverrides": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"support": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportUrl": {
"type": "string"
},
"documentationUrl": {
"type": "string"
},
"faqUrl": {
"type": "string"
},
"refundPolicyUrl": {
"type": "string"
},
"termsUrl": {
"type": "string"
},
"licenseUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"emailIdentity": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"socialLinks": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domains": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"metadata": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"publicBranding": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"storefrontDomain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
}
},
"additionalProperties": true
}
},
"sslStatus": {
"type": "string"
}
},
"additionalProperties": true
},
"storefrontDomainSettings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"emailDomains": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
},
"emailDomainSettings": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportEmailPresent": {
"type": "boolean"
},
"brandDomainOwnershipReady": {
"type": "boolean"
},
"customDomain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
},
"domainStatus": {
"type": [
"string",
"null"
]
},
"marketingDomainStatus": {
"type": [
"string",
"null"
]
},
"senderProfiles": {
"type": "object",
"properties": {
"licensing": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
},
"notifications": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
},
"marketing": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"customSendingUsable": {
"type": "boolean"
},
"transactionalSendingUsable": {
"type": "boolean"
},
"marketingSendingUsable": {
"type": "boolean"
},
"marketingTrackingUsable": {
"type": "boolean"
},
"trackClicks": {
"type": "boolean"
},
"trackOpens": {
"type": "boolean"
},
"canDisableUnsafeMarketingTracking": {
"type": "boolean"
},
"unifiedDomainVerified": {
"type": "boolean"
},
"providerReadiness": {
"type": "object",
"properties": {
"configured": {
"type": "boolean"
},
"transactional": {
"type": "boolean"
},
"marketing": {
"type": "boolean"
},
"tracking": {
"type": "boolean"
},
"ready": {
"type": "boolean"
}
},
"additionalProperties": true
},
"blockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"transactionalBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"marketingBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"trackingBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"fallbackSender": {
"type": "string"
}
},
"additionalProperties": true
},
"linkValidation": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domainDocs": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/branding
Update Brand Manager fields.
- Auth
- Account Bearer JWT
- Scope
- Authenticated developer workspace; the route permission and assigned-product scope are enforced server-side.
- Request fields
- storeName: string
- developerDisplayName: string
- tagline: string
- slug: string
- shortDescription: string
- marketplaceBio: string
- logos: object
- colors: object
- support: object
- emailIdentity: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- socialLinks: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- domains: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- metadata: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- Returns
- updated branding payload.
- Side effects
- Writes developer branding.
- Notes
- Workspace-wide branding save requires brand.manage and all-products scope. Prefer versioned section saves for Identity, Visuals and Support.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"storeName": {
"type": "string"
},
"developerDisplayName": {
"type": "string"
},
"tagline": {
"type": "string"
},
"slug": {
"type": "string"
},
"shortDescription": {
"type": "string"
},
"marketplaceBio": {
"type": "string"
},
"logos": {
"type": "object",
"properties": {
"logoUrl": {
"type": "string"
},
"lightLogoUrl": {
"type": "string"
},
"darkLogoUrl": {
"type": "string"
},
"iconUrl": {
"type": "string"
},
"defaultProductImageUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"colors": {
"type": "object",
"properties": {
"appearance": {
"type": "string",
"enum": [
"light",
"dark",
"system"
]
},
"backgroundColor": {
"type": "string"
},
"brandHighlightColor": {
"type": "string"
},
"accentColor": {
"type": "string"
},
"advancedOverrides": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"support": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportUrl": {
"type": "string"
},
"documentationUrl": {
"type": "string"
},
"faqUrl": {
"type": "string"
},
"refundPolicyUrl": {
"type": "string"
},
"termsUrl": {
"type": "string"
},
"licenseUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"emailIdentity": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"socialLinks": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domains": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"metadata": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"branding": {
"type": "object",
"properties": {
"storeName": {
"type": "string"
},
"developerDisplayName": {
"type": "string"
},
"tagline": {
"type": "string"
},
"slug": {
"type": "string"
},
"shortDescription": {
"type": "string"
},
"marketplaceBio": {
"type": "string"
},
"logos": {
"type": "object",
"properties": {
"logoUrl": {
"type": "string"
},
"lightLogoUrl": {
"type": "string"
},
"darkLogoUrl": {
"type": "string"
},
"iconUrl": {
"type": "string"
},
"defaultProductImageUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"colors": {
"type": "object",
"properties": {
"appearance": {
"type": "string",
"enum": [
"light",
"dark",
"system"
]
},
"backgroundColor": {
"type": "string"
},
"brandHighlightColor": {
"type": "string"
},
"accentColor": {
"type": "string"
},
"advancedOverrides": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"support": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportUrl": {
"type": "string"
},
"documentationUrl": {
"type": "string"
},
"faqUrl": {
"type": "string"
},
"refundPolicyUrl": {
"type": "string"
},
"termsUrl": {
"type": "string"
},
"licenseUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"emailIdentity": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"socialLinks": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domains": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"metadata": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"publicBranding": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"storefrontDomain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
}
},
"additionalProperties": true
}
},
"sslStatus": {
"type": "string"
}
},
"additionalProperties": true
},
"storefrontDomainSettings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"emailDomains": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
},
"emailDomainSettings": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportEmailPresent": {
"type": "boolean"
},
"brandDomainOwnershipReady": {
"type": "boolean"
},
"customDomain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
},
"domainStatus": {
"type": [
"string",
"null"
]
},
"marketingDomainStatus": {
"type": [
"string",
"null"
]
},
"senderProfiles": {
"type": "object",
"properties": {
"licensing": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
},
"notifications": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
},
"marketing": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"customSendingUsable": {
"type": "boolean"
},
"transactionalSendingUsable": {
"type": "boolean"
},
"marketingSendingUsable": {
"type": "boolean"
},
"marketingTrackingUsable": {
"type": "boolean"
},
"trackClicks": {
"type": "boolean"
},
"trackOpens": {
"type": "boolean"
},
"canDisableUnsafeMarketingTracking": {
"type": "boolean"
},
"unifiedDomainVerified": {
"type": "boolean"
},
"providerReadiness": {
"type": "object",
"properties": {
"configured": {
"type": "boolean"
},
"transactional": {
"type": "boolean"
},
"marketing": {
"type": "boolean"
},
"tracking": {
"type": "boolean"
},
"ready": {
"type": "boolean"
}
},
"additionalProperties": true
},
"blockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"transactionalBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"marketingBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"trackingBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"fallbackSender": {
"type": "string"
}
},
"additionalProperties": true
},
"linkValidation": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domainDocs": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/branding/custom-domain
Start/connect storefront custom domain from Brand Manager.
- Auth
- Account Bearer JWT
- Scope
- Authenticated developer workspace; the route permission and assigned-product scope are enforced server-side.
- Request fields
- domain: string
- customDomain: string
- Returns
- 201 branding payload with storefrontDomainResult.
- Side effects
- Creates storefront domain row and updates branding domain status.
- Notes
- Uses the current saved custom domain when omitted. Supply a hostname, not DNS-provider credentials. DNS propagation and SSL provisioning are asynchronous.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"domain": {
"type": "string"
},
"customDomain": {
"type": "string"
}
},
"additionalProperties": true
}
HTTP 201 response (application/json)
{
"type": "object",
"properties": {
"branding": {
"type": "object",
"properties": {
"storeName": {
"type": "string"
},
"developerDisplayName": {
"type": "string"
},
"tagline": {
"type": "string"
},
"slug": {
"type": "string"
},
"shortDescription": {
"type": "string"
},
"marketplaceBio": {
"type": "string"
},
"logos": {
"type": "object",
"properties": {
"logoUrl": {
"type": "string"
},
"lightLogoUrl": {
"type": "string"
},
"darkLogoUrl": {
"type": "string"
},
"iconUrl": {
"type": "string"
},
"defaultProductImageUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"colors": {
"type": "object",
"properties": {
"appearance": {
"type": "string",
"enum": [
"light",
"dark",
"system"
]
},
"backgroundColor": {
"type": "string"
},
"brandHighlightColor": {
"type": "string"
},
"accentColor": {
"type": "string"
},
"advancedOverrides": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"support": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportUrl": {
"type": "string"
},
"documentationUrl": {
"type": "string"
},
"faqUrl": {
"type": "string"
},
"refundPolicyUrl": {
"type": "string"
},
"termsUrl": {
"type": "string"
},
"licenseUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"emailIdentity": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"socialLinks": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domains": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"metadata": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"publicBranding": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"storefrontDomain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
}
},
"additionalProperties": true
}
},
"sslStatus": {
"type": "string"
}
},
"additionalProperties": true
},
"storefrontDomainSettings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"emailDomains": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
},
"emailDomainSettings": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportEmailPresent": {
"type": "boolean"
},
"brandDomainOwnershipReady": {
"type": "boolean"
},
"customDomain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
},
"domainStatus": {
"type": [
"string",
"null"
]
},
"marketingDomainStatus": {
"type": [
"string",
"null"
]
},
"senderProfiles": {
"type": "object",
"properties": {
"licensing": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
},
"notifications": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
},
"marketing": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"customSendingUsable": {
"type": "boolean"
},
"transactionalSendingUsable": {
"type": "boolean"
},
"marketingSendingUsable": {
"type": "boolean"
},
"marketingTrackingUsable": {
"type": "boolean"
},
"trackClicks": {
"type": "boolean"
},
"trackOpens": {
"type": "boolean"
},
"canDisableUnsafeMarketingTracking": {
"type": "boolean"
},
"unifiedDomainVerified": {
"type": "boolean"
},
"providerReadiness": {
"type": "object",
"properties": {
"configured": {
"type": "boolean"
},
"transactional": {
"type": "boolean"
},
"marketing": {
"type": "boolean"
},
"tracking": {
"type": "boolean"
},
"ready": {
"type": "boolean"
}
},
"additionalProperties": true
},
"blockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"transactionalBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"marketingBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"trackingBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"fallbackSender": {
"type": "string"
}
},
"additionalProperties": true
},
"linkValidation": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domainDocs": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"storefrontDomainResult": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/branding/email-domain
Start/connect email sending domain from Brand Manager.
- Auth
- Account Bearer JWT
- Scope
- Authenticated developer workspace; the route permission and assigned-product scope are enforced server-side.
- Request fields
- domain: string
- sendingDomain: string
- Returns
- 201 branding payload with emailDomainResult.
- Side effects
- Creates email domain row and updates branding sending-domain status.
- Notes
- Email-sending DNS verification is separate from storefront SSL.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"domain": {
"type": "string"
},
"sendingDomain": {
"type": "string"
}
},
"additionalProperties": true
}
HTTP 201 response (application/json)
{
"type": "object",
"properties": {
"branding": {
"type": "object",
"properties": {
"storeName": {
"type": "string"
},
"developerDisplayName": {
"type": "string"
},
"tagline": {
"type": "string"
},
"slug": {
"type": "string"
},
"shortDescription": {
"type": "string"
},
"marketplaceBio": {
"type": "string"
},
"logos": {
"type": "object",
"properties": {
"logoUrl": {
"type": "string"
},
"lightLogoUrl": {
"type": "string"
},
"darkLogoUrl": {
"type": "string"
},
"iconUrl": {
"type": "string"
},
"defaultProductImageUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"colors": {
"type": "object",
"properties": {
"appearance": {
"type": "string",
"enum": [
"light",
"dark",
"system"
]
},
"backgroundColor": {
"type": "string"
},
"brandHighlightColor": {
"type": "string"
},
"accentColor": {
"type": "string"
},
"advancedOverrides": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"support": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportUrl": {
"type": "string"
},
"documentationUrl": {
"type": "string"
},
"faqUrl": {
"type": "string"
},
"refundPolicyUrl": {
"type": "string"
},
"termsUrl": {
"type": "string"
},
"licenseUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"emailIdentity": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"socialLinks": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domains": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"metadata": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"publicBranding": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"storefrontDomain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
}
},
"additionalProperties": true
}
},
"sslStatus": {
"type": "string"
}
},
"additionalProperties": true
},
"storefrontDomainSettings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"emailDomains": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
},
"emailDomainSettings": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportEmailPresent": {
"type": "boolean"
},
"brandDomainOwnershipReady": {
"type": "boolean"
},
"customDomain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
},
"domainStatus": {
"type": [
"string",
"null"
]
},
"marketingDomainStatus": {
"type": [
"string",
"null"
]
},
"senderProfiles": {
"type": "object",
"properties": {
"licensing": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
},
"notifications": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
},
"marketing": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"customSendingUsable": {
"type": "boolean"
},
"transactionalSendingUsable": {
"type": "boolean"
},
"marketingSendingUsable": {
"type": "boolean"
},
"marketingTrackingUsable": {
"type": "boolean"
},
"trackClicks": {
"type": "boolean"
},
"trackOpens": {
"type": "boolean"
},
"canDisableUnsafeMarketingTracking": {
"type": "boolean"
},
"unifiedDomainVerified": {
"type": "boolean"
},
"providerReadiness": {
"type": "object",
"properties": {
"configured": {
"type": "boolean"
},
"transactional": {
"type": "boolean"
},
"marketing": {
"type": "boolean"
},
"tracking": {
"type": "boolean"
},
"ready": {
"type": "boolean"
}
},
"additionalProperties": true
},
"blockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"transactionalBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"marketingBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"trackingBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"fallbackSender": {
"type": "string"
}
},
"additionalProperties": true
},
"linkValidation": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domainDocs": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"emailDomainResult": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/brand/domain
Fetch smart/manual brand-domain state.
- Auth
- Account Bearer JWT
- Scope
- domains.view and all-products workspace scope.
- Returns
- current step, provider, required DNS records, events.
- Side effects
- Retrieves the authorized resource; any preparation or event recording is described in the operation notes.
- Notes
- domains.view and all-products workspace scope. Selected-product teammates cannot use this workspace-wide domain wizard.
Request, response and error reference
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"domain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
}
},
"additionalProperties": true
}
},
"sslStatus": {
"type": "string"
},
"rootDomain": {
"type": "string"
},
"storefrontSubdomain": {
"type": "string"
},
"setupStatus": {
"type": "string"
},
"currentStepKey": {
"type": "string"
}
},
"additionalProperties": true
},
"providerDetection": {
"type": [
"object",
"null"
],
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"currentStep": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": [
"integer",
"null"
]
},
"developerDomainId": {
"type": [
"integer",
"null"
]
},
"stepKey": {
"type": "string"
},
"step_key": {
"type": "string"
},
"featureKey": {
"type": "string"
},
"feature_key": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"warning": {
"type": "string"
},
"purpose": {
"type": "string"
},
"required": {
"type": "boolean"
},
"status": {
"type": "string"
},
"action": {
"type": "string",
"description": "Non-DNS step: prepare-domains, storefront-provider, email-providers or email-identity. Do not add it as a DNS row."
},
"type": {
"type": "string",
"description": "DNS type returned by the provider, such as A, CNAME, TXT or MX; absent on action steps."
},
"host": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"integer"
]
},
"priority": {
"type": "integer",
"description": "MX priority, entered separately from exchange."
},
"exchange": {
"type": "string"
},
"copyBlocked": {
"type": "boolean",
"description": "Missing provider value cannot be copied. Also respect copyPlan.mode=blocked."
},
"copyPlan": {
"type": "object",
"properties": {
"mode": {
"type": "string",
"enum": [
"create",
"replace",
"preserve",
"blocked"
]
},
"value": {
"type": "string"
},
"previousValue": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"mode"
],
"additionalProperties": true,
"description": "Use value for create/replace, keep existing policy for preserve, and resolve message before copying for blocked."
},
"errorMessage": {
"type": "string"
},
"error_message": {
"type": "string"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"createdAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"updatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
},
"current_step": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": [
"integer",
"null"
]
},
"developerDomainId": {
"type": [
"integer",
"null"
]
},
"stepKey": {
"type": "string"
},
"step_key": {
"type": "string"
},
"featureKey": {
"type": "string"
},
"feature_key": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"warning": {
"type": "string"
},
"purpose": {
"type": "string"
},
"required": {
"type": "boolean"
},
"status": {
"type": "string"
},
"action": {
"type": "string",
"description": "Non-DNS step: prepare-domains, storefront-provider, email-providers or email-identity. Do not add it as a DNS row."
},
"type": {
"type": "string",
"description": "DNS type returned by the provider, such as A, CNAME, TXT or MX; absent on action steps."
},
"host": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"integer"
]
},
"priority": {
"type": "integer",
"description": "MX priority, entered separately from exchange."
},
"exchange": {
"type": "string"
},
"copyBlocked": {
"type": "boolean",
"description": "Missing provider value cannot be copied. Also respect copyPlan.mode=blocked."
},
"copyPlan": {
"type": "object",
"properties": {
"mode": {
"type": "string",
"enum": [
"create",
"replace",
"preserve",
"blocked"
]
},
"value": {
"type": "string"
},
"previousValue": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"mode"
],
"additionalProperties": true,
"description": "Use value for create/replace, keep existing policy for preserve, and resolve message before copying for blocked."
},
"errorMessage": {
"type": "string"
},
"error_message": {
"type": "string"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"createdAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"updatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
},
"wizardProgress": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string"
},
"label": {
"type": "string"
},
"status": {
"type": "string"
},
"completeCount": {
"type": "integer"
},
"totalCount": {
"type": "integer"
}
},
"additionalProperties": true
}
},
"records": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": [
"integer",
"null"
]
},
"developerDomainId": {
"type": [
"integer",
"null"
]
},
"stepKey": {
"type": "string"
},
"step_key": {
"type": "string"
},
"featureKey": {
"type": "string"
},
"feature_key": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"warning": {
"type": "string"
},
"purpose": {
"type": "string"
},
"required": {
"type": "boolean"
},
"status": {
"type": "string"
},
"action": {
"type": "string",
"description": "Non-DNS step: prepare-domains, storefront-provider, email-providers or email-identity. Do not add it as a DNS row."
},
"type": {
"type": "string",
"description": "DNS type returned by the provider, such as A, CNAME, TXT or MX; absent on action steps."
},
"host": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"integer"
]
},
"priority": {
"type": "integer",
"description": "MX priority, entered separately from exchange."
},
"exchange": {
"type": "string"
},
"copyBlocked": {
"type": "boolean",
"description": "Missing provider value cannot be copied. Also respect copyPlan.mode=blocked."
},
"copyPlan": {
"type": "object",
"properties": {
"mode": {
"type": "string",
"enum": [
"create",
"replace",
"preserve",
"blocked"
]
},
"value": {
"type": "string"
},
"previousValue": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"mode"
],
"additionalProperties": true,
"description": "Use value for create/replace, keep existing policy for preserve, and resolve message before copying for blocked."
},
"errorMessage": {
"type": "string"
},
"error_message": {
"type": "string"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"createdAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"updatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"featureSummaries": {
"type": "array",
"items": {
"type": "object",
"properties": {
"featureKey": {
"type": "string"
},
"feature_key": {
"type": "string"
},
"label": {
"type": "string"
},
"status": {
"type": "string"
},
"completeCount": {
"type": "integer"
},
"requiredCount": {
"type": "integer"
},
"totalCount": {
"type": "integer"
},
"records": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": [
"integer",
"null"
]
},
"developerDomainId": {
"type": [
"integer",
"null"
]
},
"stepKey": {
"type": "string"
},
"step_key": {
"type": "string"
},
"featureKey": {
"type": "string"
},
"feature_key": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"warning": {
"type": "string"
},
"purpose": {
"type": "string"
},
"required": {
"type": "boolean"
},
"status": {
"type": "string"
},
"action": {
"type": "string",
"description": "Non-DNS step: prepare-domains, storefront-provider, email-providers or email-identity. Do not add it as a DNS row."
},
"type": {
"type": "string",
"description": "DNS type returned by the provider, such as A, CNAME, TXT or MX; absent on action steps."
},
"host": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"integer"
]
},
"priority": {
"type": "integer",
"description": "MX priority, entered separately from exchange."
},
"exchange": {
"type": "string"
},
"copyBlocked": {
"type": "boolean",
"description": "Missing provider value cannot be copied. Also respect copyPlan.mode=blocked."
},
"copyPlan": {
"type": "object",
"properties": {
"mode": {
"type": "string",
"enum": [
"create",
"replace",
"preserve",
"blocked"
]
},
"value": {
"type": "string"
},
"previousValue": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"mode"
],
"additionalProperties": true,
"description": "Use value for create/replace, keep existing policy for preserve, and resolve message before copying for blocked."
},
"errorMessage": {
"type": "string"
},
"error_message": {
"type": "string"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"createdAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"updatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
}
},
"additionalProperties": true
}
},
"events": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"status": {
"type": "string"
},
"created_at": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"updated_at": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"allRequiredVerified": {
"type": "boolean"
},
"providerSupport": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"branding": {
"type": "object",
"properties": {
"storeName": {
"type": "string"
},
"developerDisplayName": {
"type": "string"
},
"tagline": {
"type": "string"
},
"slug": {
"type": "string"
},
"shortDescription": {
"type": "string"
},
"marketplaceBio": {
"type": "string"
},
"logos": {
"type": "object",
"properties": {
"logoUrl": {
"type": "string"
},
"lightLogoUrl": {
"type": "string"
},
"darkLogoUrl": {
"type": "string"
},
"iconUrl": {
"type": "string"
},
"defaultProductImageUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"colors": {
"type": "object",
"properties": {
"appearance": {
"type": "string",
"enum": [
"light",
"dark",
"system"
]
},
"backgroundColor": {
"type": "string"
},
"brandHighlightColor": {
"type": "string"
},
"accentColor": {
"type": "string"
},
"advancedOverrides": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"support": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportUrl": {
"type": "string"
},
"documentationUrl": {
"type": "string"
},
"faqUrl": {
"type": "string"
},
"refundPolicyUrl": {
"type": "string"
},
"termsUrl": {
"type": "string"
},
"licenseUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"emailIdentity": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"socialLinks": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domains": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"metadata": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"storefrontDomain": {
"type": "string"
},
"emailDomains": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
},
"emailDomainSettings": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportEmailPresent": {
"type": "boolean"
},
"brandDomainOwnershipReady": {
"type": "boolean"
},
"customDomain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
},
"domainStatus": {
"type": [
"string",
"null"
]
},
"marketingDomainStatus": {
"type": [
"string",
"null"
]
},
"senderProfiles": {
"type": "object",
"properties": {
"licensing": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
},
"notifications": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
},
"marketing": {
"type": "object",
"properties": {
"purpose": {
"enum": [
"licensing",
"notifications",
"marketing"
]
},
"label": {
"type": "string"
},
"localPart": {
"type": "string"
},
"fromEmail": {
"type": "string"
},
"editable": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"customSendingUsable": {
"type": "boolean"
},
"transactionalSendingUsable": {
"type": "boolean"
},
"marketingSendingUsable": {
"type": "boolean"
},
"marketingTrackingUsable": {
"type": "boolean"
},
"trackClicks": {
"type": "boolean"
},
"trackOpens": {
"type": "boolean"
},
"canDisableUnsafeMarketingTracking": {
"type": "boolean"
},
"unifiedDomainVerified": {
"type": "boolean"
},
"providerReadiness": {
"type": "object",
"properties": {
"configured": {
"type": "boolean"
},
"transactional": {
"type": "boolean"
},
"marketing": {
"type": "boolean"
},
"tracking": {
"type": "boolean"
},
"ready": {
"type": "boolean"
}
},
"additionalProperties": true
},
"blockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"transactionalBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"marketingBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"trackingBlockingReasons": {
"type": "array",
"items": {
"type": "string"
}
},
"fallbackSender": {
"type": "string"
}
},
"additionalProperties": true
},
"needsPreparation": {
"type": "boolean"
},
"automaticProviderSetup": {
"type": "boolean"
},
"emailProvidersConfigured": {
"type": "boolean"
},
"emailProvidersReady": {
"type": "boolean"
},
"providerPreparation": {
"type": "object",
"properties": {
"ready": {
"type": "boolean"
},
"missingRecords": {
"type": "array",
"items": {
"type": "string"
}
},
"errorMessage": {
"type": "string"
}
},
"additionalProperties": true
},
"readiness": {
"type": "object",
"properties": {
"dns": {
"type": "boolean"
},
"storefront": {
"type": "boolean"
},
"email": {
"type": "boolean"
},
"tracking": {
"type": "boolean"
},
"transactional": {
"type": "boolean"
},
"marketing": {
"type": "boolean"
},
"senders": {
"type": "boolean"
},
"identity": {
"type": "boolean"
},
"providersConfigured": {
"type": "boolean"
},
"ready": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 401, 403, 503.
Operation errors: developer_team_permission_denied, developer_team_all_products_scope_required.
/api/developer/brand/domain/start
Start smart/manual DNS workflow.
- Auth
- Account Bearer JWT
- Scope
- domains.view + domains.manage and all-products workspace scope.
- Request fields
- rootDomain: string (required)
- storefrontSubdomain: string
- Returns
- 201 domain workflow state.
- Side effects
- Creates or initializes brand domain workflow.
- Notes
- root_domain/domain alias rootDomain; storefront_subdomain/storefrontHost/storefront_host alias storefrontSubdomain. Omit the storefront subdomain or use @ for the root domain. DNS provider detection is automatic, not an input to this call. Readiness, DNS and SSL are verified separately. domains.view + domains.manage and all-products workspace scope. Selected-product teammates cannot use this workspace-wide domain wizard.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"rootDomain": {
"type": "string"
},
"storefrontSubdomain": {
"type": "string"
}
},
"required": [
"rootDomain"
],
"additionalProperties": true
}
HTTP 201 response (application/json)
{
"type": "object",
"properties": {
"domain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
}
},
"additionalProperties": true
}
},
"sslStatus": {
"type": "string"
},
"rootDomain": {
"type": "string"
},
"storefrontSubdomain": {
"type": "string"
},
"setupStatus": {
"type": "string"
},
"currentStepKey": {
"type": "string"
}
},
"additionalProperties": true
},
"providerDetection": {
"type": [
"object",
"null"
],
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"currentStep": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": [
"integer",
"null"
]
},
"developerDomainId": {
"type": [
"integer",
"null"
]
},
"stepKey": {
"type": "string"
},
"step_key": {
"type": "string"
},
"featureKey": {
"type": "string"
},
"feature_key": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"warning": {
"type": "string"
},
"purpose": {
"type": "string"
},
"required": {
"type": "boolean"
},
"status": {
"type": "string"
},
"action": {
"type": "string",
"description": "Non-DNS step: prepare-domains, storefront-provider, email-providers or email-identity. Do not add it as a DNS row."
},
"type": {
"type": "string",
"description": "DNS type returned by the provider, such as A, CNAME, TXT or MX; absent on action steps."
},
"host": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"integer"
]
},
"priority": {
"type": "integer",
"description": "MX priority, entered separately from exchange."
},
"exchange": {
"type": "string"
},
"copyBlocked": {
"type": "boolean",
"description": "Missing provider value cannot be copied. Also respect copyPlan.mode=blocked."
},
"copyPlan": {
"type": "object",
"properties": {
"mode": {
"type": "string",
"enum": [
"create",
"replace",
"preserve",
"blocked"
]
},
"value": {
"type": "string"
},
"previousValue": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"mode"
],
"additionalProperties": true,
"description": "Use value for create/replace, keep existing policy for preserve, and resolve message before copying for blocked."
},
"errorMessage": {
"type": "string"
},
"error_message": {
"type": "string"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"createdAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"updatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
},
"current_step": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": [
"integer",
"null"
]
},
"developerDomainId": {
"type": [
"integer",
"null"
]
},
"stepKey": {
"type": "string"
},
"step_key": {
"type": "string"
},
"featureKey": {
"type": "string"
},
"feature_key": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"warning": {
"type": "string"
},
"purpose": {
"type": "string"
},
"required": {
"type": "boolean"
},
"status": {
"type": "string"
},
"action": {
"type": "string",
"description": "Non-DNS step: prepare-domains, storefront-provider, email-providers or email-identity. Do not add it as a DNS row."
},
"type": {
"type": "string",
"description": "DNS type returned by the provider, such as A, CNAME, TXT or MX; absent on action steps."
},
"host": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"integer"
]
},
"priority": {
"type": "integer",
"description": "MX priority, entered separately from exchange."
},
"exchange": {
"type": "string"
},
"copyBlocked": {
"type": "boolean",
"description": "Missing provider value cannot be copied. Also respect copyPlan.mode=blocked."
},
"copyPlan": {
"type": "object",
"properties": {
"mode": {
"type": "string",
"enum": [
"create",
"replace",
"preserve",
"blocked"
]
},
"value": {
"type": "string"
},
"previousValue": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"mode"
],
"additionalProperties": true,
"description": "Use value for create/replace, keep existing policy for preserve, and resolve message before copying for blocked."
},
"errorMessage": {
"type": "string"
},
"error_message": {
"type": "string"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"createdAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"updatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
},
"wizardProgress": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string"
},
"label": {
"type": "string"
},
"status": {
"type": "string"
},
"completeCount": {
"type": "integer"
},
"totalCount": {
"type": "integer"
}
},
"additionalProperties": true
}
},
"records": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": [
"integer",
"null"
]
},
"developerDomainId": {
"type": [
"integer",
"null"
]
},
"stepKey": {
"type": "string"
},
"step_key": {
"type": "string"
},
"featureKey": {
"type": "string"
},
"feature_key": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"warning": {
"type": "string"
},
"purpose": {
"type": "string"
},
"required": {
"type": "boolean"
},
"status": {
"type": "string"
},
"action": {
"type": "string",
"description": "Non-DNS step: prepare-domains, storefront-provider, email-providers or email-identity. Do not add it as a DNS row."
},
"type": {
"type": "string",
"description": "DNS type returned by the provider, such as A, CNAME, TXT or MX; absent on action steps."
},
"host": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"integer"
]
},
"priority": {
"type": "integer",
"description": "MX priority, entered separately from exchange."
},
"exchange": {
"type": "string"
},
"copyBlocked": {
"type": "boolean",
"description": "Missing provider value cannot be copied. Also respect copyPlan.mode=blocked."
},
"copyPlan": {
"type": "object",
"properties": {
"mode": {
"type": "string",
"enum": [
"create",
"replace",
"preserve",
"blocked"
]
},
"value": {
"type": "string"
},
"previousValue": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"mode"
],
"additionalProperties": true,
"description": "Use value for create/replace, keep existing policy for preserve, and resolve message before copying for blocked."
},
"errorMessage": {
"type": "string"
},
"error_message": {
"type": "string"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"createdAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"updatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"featureSummaries": {
"type": "array",
"items": {
"type": "object",
"properties": {
"featureKey": {
"type": "string"
},
"feature_key": {
"type": "string"
},
"label": {
"type": "string"
},
"status": {
"type": "string"
},
"completeCount": {
"type": "integer"
},
"requiredCount": {
"type": "integer"
},
"totalCount": {
"type": "integer"
},
"records": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": [
"integer",
"null"
]
},
"developerDomainId": {
"type": [
"integer",
"null"
]
},
"stepKey": {
"type": "string"
},
"step_key": {
"type": "string"
},
"featureKey": {
"type": "string"
},
"feature_key": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"warning": {
"type": "string"
},
"purpose": {
"type": "string"
},
"required": {
"type": "boolean"
},
"status": {
"type": "string"
},
"action": {
"type": "string",
"description": "Non-DNS step: prepare-domains, storefront-provider, email-providers or email-identity. Do not add it as a DNS row."
},
"type": {
"type": "string",
"description": "DNS type returned by the provider, such as A, CNAME, TXT or MX; absent on action steps."
},
"host": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"integer"
]
},
"priority": {
"type": "integer",
"description": "MX priority, entered separately from exchange."
},
"exchange": {
"type": "string"
},
"copyBlocked": {
"type": "boolean",
"description": "Missing provider value cannot be copied. Also respect copyPlan.mode=blocked."
},
"copyPlan": {
"type": "object",
"properties": {
"mode": {
"type": "string",
"enum": [
"create",
"replace",
"preserve",
"blocked"
]
},
"value": {
"type": "string"
},
"previousValue": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"mode"
],
"additionalProperties": true,
"description": "Use value for create/replace, keep existing policy for preserve, and resolve message before copying for blocked."
},
"errorMessage": {
"type": "string"
},
"error_message": {
"type": "string"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"createdAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"updatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
}
},
"additionalProperties": true
}
},
"events": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"status": {
"type": "string"
},
"created_at": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"updated_at": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"allRequiredVerified": {
"type": "boolean"
},
"providerSupport": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"branding": {
"type": "object",
"properties": {
"storeName": {
"type": "string"
},
"developerDisplayName": {
"type": "string"
},
"tagline": {
"type": "string"
},
"slug": {
"type": "string"
},
"shortDescription": {
"type": "string"
},
"marketplaceBio": {
"type": "string"
},
"logos": {
"type": "object",
"properties": {
"logoUrl": {
"type": "string"
},
"lightLogoUrl": {
"type": "string"
},
"darkLogoUrl": {
"type": "string"
},
"iconUrl": {
"type": "string"
},
"defaultProductImageUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"colors": {
"type": "object",
"properties": {
"appearance": {
"type": "string",
"enum": [
"light",
"dark",
"system"
]
},
"backgroundColor": {
"type": "string"
},
"brandHighlightColor": {
"type": "string"
},
"accentColor": {
"type": "string"
},
"advancedOverrides": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"support": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportUrl": {
"type": "string"
},
"documentationUrl": {
"type": "string"
},
"faqUrl": {
"type": "string"
},
"refundPolicyUrl": {
"type": "string"
},
"termsUrl": {
"type": "string"
},
"licenseUrl": {
"type": "string"
}
},
"additionalProperties": true
},
"emailIdentity": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"socialLinks": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"domains": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"metadata": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"storefrontDomain": {
"type": "string"
},
"emailDomains": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"providerReadErrors": {
"type": "object",
"properties": {
"resend": {
"type": "string"
},
"elastic": {
"type": "string"
}
},
"additionalProperties": true
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
},
"emailDomainSettings": {
"type": "object",
"properties": {
"supportEmail": {
"type": "string"
},
"supportEmailPresent": {
"type": "boolean"
},
"brandDomainOwnershipReady": {
"type": "boolean"
},
"customDomain": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"domain": {
"type": "string"
},
"fromLocalPart": {
"type": "string"
},
"senderEmail": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"elasticStatus": {
"type": "string"
},
"elasticVerified": {
"type": "boolean"
},
"unifiedVerified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"providerVerification": {
"type": "object",
"properties": {
"resend": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
"additionalProperties": true
}
},
"verifiedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastCheckedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"lastError": {
"type": [
"string",
"null"
]
},
"metadata": {
"type": "object",
"properties": {
"sendingEnabled": {
"type": "boolean"
},
"sendingReady": {
"type": "boolean"
},
"trackingReady": {
"type": "boolean"
},
"trackingCertificateReady": {
"type": "boolean"
},
"certificateExpiresAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
},
"elastic": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"status": {
"type": "string"
},
"verified": {
"type": "boolean"
},
"dnsRecords": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"record": {
"type": "string"
},
"name": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
},
"ttl": {
"type": [
"string",
"number"
]
},
"priority": {
"type": [
"number",
"null"
]
},
"status": {
"type": "string"
}
},
[...]
